<template>
  <v-container grid-list-xs >
    <v-layout row wrap>
      <v-flex xs12 md7 sm7>
        <v-card>
          <v-toolbar height="50px" color="primary" dark><h3>Thông Tin Đăng Ký Sử Dụng Điện</h3></v-toolbar>
          <v-card-text>
            <b>Mục đăng ký sử dụng điện: </b>
              <v-radio-group v-model="radios" :mandatory="false" row style="padding-top: 7px; margin-top: 0px;" hide-details>
                <v-radio color="primary" label="Đăng ký sử dụng điện sinh hoạt" value="radio_SinhHoat"></v-radio>
                <v-radio color="primary" label="Đăng ký sử dụng điện với mục đích khác" value="radio_MucDichKhac"></v-radio>
              </v-radio-group>
                <b>Thông tin khách hàng:</b>
              <v-layout row wrap >
                <v-flex xs6 sm2 md2 >
                  <v-select
                  :items="LoaiKhachHangArr"
                  label="Chọn một"
                  v-model="LoaiKhachHang"
                  :rules="[v => !!v || 'Chọn một']"
                  required
                  >
                  </v-select>
                </v-flex>
                <v-flex xs6 sm3 md3 v-if="radios === 'radio_SinhHoat'">
                  <v-select
                    :items="ChucVuArr"
                    v-model="ChucVu"
                    label="Chức vụ"
                    :rules="[v => !!v || 'Chọn một']"
                    required
                    >
                  </v-select>
                </v-flex>
                <v-flex>
                  <v-text-field
                  label="Tên khách hàng"
                  v-model="TenKhachHang"
                  :rules="[rules.ValidateTenMin, rules.ValidateTenMax]"
                  required
                  > 
                  </v-text-field>
                </v-flex>
              </v-layout>
              <v-layout row wrap v-if="radios === 'radio_MucDichKhac'">
                <v-flex xs8 sm8 md8>
                  <v-text-field
                  label="Người đại diện"
                  v-model="TenNguoiDaiDien"
                  :rules="[rules.ValidateTenMin, rules.ValidateTenMax]"
                  required
                  >
                  </v-text-field>
                </v-flex>
                <v-flex xs4 sm4 md4>
                  <v-select
                    :items="ChucVuArr"
                    v-model="ChucVu"
                    label="Chức vụ"
                    :rules="[v => !!v || 'Chọn một']"
                    required
                    >
                  </v-select>
                </v-flex>
              </v-layout>
              <v-layout row wrap>
                <v-flex xs12 sm4 md4>
                  <v-text-field
                    v-model="CMT"
                    label="Số CMT/Hộ chiếu"
                    mask="#### #### #### ####"
                    :rules="[v => !isNaN(v) || 'Nhập lại']"
                    required>
                  </v-text-field>
                </v-flex>
                <v-flex xs6 sm4 md4>
                  <v-menu
                    ref="menuNgayCap"
                    :close-on-content-click="false"
                    v-model="menuNgayCap"
                    :nudge-right="40"
                    lazy
                    transition="scale-transition"
                    offset-y
                    full-width
                    max-width="290px"
                    min-width="290px"
                  >
                    <v-text-field
                      slot="activator"
                      v-model="dateFormatted1"
                      label="Ngày cấp"
                      hint="DD/MM/YYYY"
                      persistent-hint
                      prepend-icon="event"
                      @blur="NgayCap = parseDate(dateFormatted1)"
                    ></v-text-field>
                    <v-date-picker v-model="NgayCap" no-title @input="menuNgayCap = false"></v-date-picker>
                  </v-menu>
                </v-flex>
                <v-flex xs6 sm4 md4>
                   <v-text-field
                    v-model="NoiCap"
                    label="Nơi cấp"
                    :rules="[v => !!v || 'Không được bỏ trống']"
                    required>
                  </v-text-field>
                </v-flex>
              </v-layout>
              <v-layout row wrap>
                <v-flex xs8 sm8 md8>
                  <v-text-field
                    v-model="NguoiUyQuyen"
                    label="Người uỷ quyền"
                    :rules="[v => v.length <= 50 || 'Tên quá dài']"
                    >
                  </v-text-field>
                </v-flex>
                <v-flex xs4 sm4 md4>
                  <v-menu
                    ref="menuNgayUyQuyen"
                    :close-on-content-click="false"
                    v-model="menuNgayUyQuyen"
                    :nudge-right="40"
                    lazy
                    transition="scale-transition"
                    offset-y
                    full-width
                    max-width="290px"
                    min-width="290px"
                  >
                    <v-text-field
                      slot="activator"
                      v-model="dateFormatted2"
                      label="Ngày uỷ quyền"
                      hint="DD/MM/YYYY"
                      persistent-hint
                      prepend-icon="event"
                      @blur="NgayUyQuyen = parseDate(dateFormatted2)"
                    ></v-text-field>
                    <v-date-picker v-model="NgayUyQuyen" no-title @input="menuNgayUyQuyen = false"></v-date-picker>
                  </v-menu>
                </v-flex>
              </v-layout>
              <v-layout row wrap>
                <v-flex xs6 sm6 md6>
                  <v-text-field
                    v-model="SDT"
                    label="Số điện thoại"
                    mask="## #### #### ##"
                    required>
                  </v-text-field>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <v-text-field
                    v-model="Email"
                    label="Email"
                    :rules="[v => !!v || 'Không được bỏ trống']"
                    required>
                  </v-text-field>
                </v-flex>
              </v-layout>
              <v-layout wrap row>
                <v-flex xs6 sm6>
                  <v-select
                    :items="DiaChi.QuanHuyen"
                    label="Quận/Huyện"
                    item-text="Ten"
                    item-value="XaPhuong"
                     v-model="a"
                    :rules="[v => !!v || 'Không được bỏ trống']"
                    required
                    >
                  </v-select>
                </v-flex>
                <v-flex xs6 sm6>
                  <v-select
                    :items="a"
                    label="Xã/Phường"
                    v-model="b"
                    :rules="[v => !!v || 'Không được bỏ trống']"
                    required
                    >
                  </v-select>
                </v-flex>
                <v-flex xs12 sm12>
                  <v-text-field
                    label="Số nhà/Đường/Phố"
                    :rules="[v => !!v || 'Không được bỏ trống']"
                     v-model="c"
                    required
                  >
                  </v-text-field>
                </v-flex>
              </v-layout>
              <v-layout row nowrap>
                <b>Đề nghị mua điện</b>
              </v-layout>
              <v-layout row wrap>
                <v-flex xs12 sm6>
                  <v-radio-group v-model="SoPha" :mandatory="false" row style="margin-top: 0px;" hide-details>
                    <v-radio color="primary" label="1 Pha" value="1Pha"></v-radio>
                    <v-radio color="primary" label="3 Pha" value="3Pha"></v-radio>
                  </v-radio-group>
                </v-flex>
                <v-flex xs12 sm6>
                  <v-text-field
                    label="Công suất đăng ký sử dụng "
                    type="text"
                    :rules="[v => !isNaN(v) && v.length <= 12 && v >= 0 && (v % 1) === 0 || 'Lỗi']"
                    mask="### ### ###"
                    reverse
                    v-model="CongSuat"
                    required
                    prefix="kW"
                    style="margin-top: 0px;"
                  >
                  </v-text-field>
                </v-flex>
              </v-layout>
               <v-layout row nowrap>
                <b>Tình trạng sử dụng điện</b>
              </v-layout>
              <v-layout row wrap >
                <v-radio-group v-model="TinhTrang" :mandatory="false" row style="margin-top: 0px;" hide-details>
                    <v-radio color="primary" label="Chưa có điện" value="ChuaCoDien"></v-radio>
                    <v-radio color="primary" label="Chung công tơ" value="ChungCongTo"></v-radio>
                  </v-radio-group>
              </v-layout>
          </v-card-text>
        </v-card>
        <v-card v-if="radios === 'radio_SinhHoat'" style="top: 10px;">
          <v-toolbar height="50px" color="primary" dark><h3>Thông Tin Yêu Cầu</h3></v-toolbar>
          <v-card-text>
            <v-layout wrap row>
              <v-flex xs12 sm4>
                <v-text-field
                v-model="MaYeuCau"
                label="Mã yêu cầu"
                :rules="[v => !!v || 'Không được bỏ trống']"
                required
                >
                </v-text-field>
              </v-flex>
              <v-flex xs6 sm4>
                <v-menu
                    ref="menuNgayYeuCau"
                    :close-on-content-click="false"
                    v-model="menuNgayYeuCau"
                    :nudge-right="40"
                    lazy
                    transition="scale-transition"
                    offset-y
                    full-width
                    max-width="290px"
                    min-width="290px"
                  >
                    <v-text-field
                      slot="activator"
                      v-model="dateFormatted3"
                      label="Ngày yêu cầu"
                      hint="DD/MM/YYYY"
                      persistent-hint
                      prepend-icon="event"
                      @blur="NgayYeuCau = parseDate(dateFormatted3)"
                    ></v-text-field>
                    <v-date-picker v-model="NgayYeuCau" no-title @input="menuNgayYeuCau = false"></v-date-picker>
                  </v-menu>
              </v-flex>
              <v-flex xs6 sm4>
                <v-menu
                    ref="menuNgayHenLich"
                    :close-on-content-click="false"
                    v-model="menuNgayHenLich"
                    :nudge-right="40"
                    lazy
                    transition="scale-transition"
                    offset-y
                    full-width
                    max-width="290px"
                    min-width="290px"
                  >
                    <v-text-field
                      slot="activator"
                      v-model="dateFormatted4"
                      label="Ngày hẹn lịch khảo sát"
                      hint="DD/MM/YYYY"
                      persistent-hint
                      prepend-icon="event"
                      @blur="NgayHenLich = parseDate(dateFormatted4)"
                    ></v-text-field>
                    <v-date-picker v-model="NgayHenLich" no-title @input="menuNgayHenLich = false"></v-date-picker>
                  </v-menu>
              </v-flex>
            </v-layout>
            <b>Đăng ký thuê ngành điện kéo dây sau công tơ:</b>
            <v-layout row wrap style="height: 30px;">
              <v-radio-group v-model="ThueKeoDay" :mandatory="false" row style="margin-top: 0px;">
                <v-radio color="primary" label="Có" value= 'true'></v-radio>
                <v-radio color="primary" label="Không" value= 'false'></v-radio>
              </v-radio-group>
            </v-layout>
          </v-card-text>
        </v-card>
      </v-flex>
      <v-flex xs12 md5 sm5>
        <v-card v-if="radios === 'radio_SinhHoat'" height="722px">
          <v-toolbar  height="50px" color="primary" dark><h3>Những Giấy Tờ Đã Nhận</h3></v-toolbar>
          <v-card-text style="padding: 10px 10px 10px 10px;">
            <b>1. Giấy tờ liên quan đến địa điểm mua điện</b>
              <div>
                <v-layout row wrap style="height: 30px;">
                  <v-checkbox
                    label="Hộ khẩu thường trú"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.HoKhauThuongTru"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.HoKhauThuongTru">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                    hide-details
                    label="Sổ tạm trú dài hạn"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.SoTamTruDaiHan"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.SoTamTruDaiHan">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap >
                    <v-checkbox
                    hide-details
                    label="Hợp đồng uỷ quyền quản lý và sử dụng nhà"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.HopDongUyQuyenQuanLyVaSuDungNha"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.HopDongUyQuyenQuanLyVaSuDungNha">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                    hide-details
                    label="Quyết định phân nhà đất"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.QuyetDinhPhanNhaDat"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.QuyetDinhPhanNhaDat">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                    hide-details
                    label="Hợp đồng mua bán nhà đất"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.HopDongMuaBanNhaDat"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.HopDongMuaBanNhaDat">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                    hide-details
                    label="Hợp đồng thuê nhà có xác nhận của cơ quan có thẩm quyền"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.HopDongThueNha"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.HopDongThueNha">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy chứng nhận quyền sở hữu đất (trên đất đã có nhà ở)"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.GiayChungNhanQuyenSoHuuDat"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.GiayChungNhanQuyenSoHuuDat">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy uỷ quyền của các hộ sử dụng điện chung"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.GiayUyQuyenCuaCacHoSuDungDienChung"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.GiayUyQuyenCuaCacHoSuDungDienChung">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Bản xác nhận đã thanh toán hết nợ"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.XacNhanThanhToan"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.XacNhanThanhToan">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Bản cam kết thanh toán hết nợ của các hộ tách mới"
                    v-model="GiayToDaNhan1.GiayToLienQuanDiaDiem.CamKetThanhToan"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan1.GiayToLienQuanDiaDiem.CamKetThanhToan">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
          </v-card-text>
        </v-card>
        <v-card v-if="radios === 'radio_MucDichKhac'">
          <v-toolbar height="50px" color="primary" dark><h3>Những Giấy Tờ Đã Nhận</h3></v-toolbar>
            <v-card-text style="padding: 10px 10px 10px 10px;">
            <b>1. Giấy tờ liên quan đến địa điểm mua điện</b>
              <v-container
              id="scroll-target"
              style="max-height: 320px; padding: 4px 14px 4px 14px;"
              class="scroll-y"
            >
              <v-layout 
                v-scroll:#scroll-target="onScroll"
                column
                style="height: 320px;"
              >
              <div>
                <v-layout row wrap style="height: 30px;">
                  <v-checkbox
                  hide-details
                    label="Giấy chứng nhận quyền sở hữu nhà"
                    v-model="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayChungNhanQuyenSoHuuNha"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayChungNhanQuyenSoHuuNha">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy chứng nhận quyền sở hữu đất"
                    v-model="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayChungNhanQuyenSoHuuDat"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayChungNhanQuyenSoHuuDat">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap >
                  <v-checkbox
                  hide-details
                    label="Hợp động thuê nhà"
                    v-model="GiayToDaNhan2.GiayToLienQuanDiaDiem.HopDongThueNha"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanDiaDiem.HopDongThueNha">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Hợp động thuê đất"
                    v-model="GiayToDaNhan2.GiayToLienQuanDiaDiem.HopDongThueDat"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanDiaDiem.HopDongThueDat">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Hợp đồng uỷ quyền quản lý và sử dụng nhà"
                    v-model="GiayToDaNhan2.GiayToLienQuanDiaDiem.HopDongUyQuyenQuanLyVaSuDungNha"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanDiaDiem.HopDongUyQuyenQuanLyVaSuDungNha">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy xác nhận của cơ quan quản lý của cấp có thẩm quyền về địa điểm mua điện"
                    v-model="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayXacNhanCuaCoQuanQuanLy"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayXacNhanCuaCoQuanQuanLy">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy xác nhận của chính quyền địa phương tại nơi đề nghị mua điện về địa điểm mua điện"
                    v-model="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayXacNhanCuaChinhQuyen"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanDiaDiem.GiayXacNhanCuaChinhQuyen">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              </v-layout>
            </v-container>
            <hr style="margin-top: 20px;">
              <b>2. Giấy tờ liên quan đến khách hàng mua điện</b>
            <v-container
              id="scroll-target"
              style="max-height: 320px; padding: 4px 14px 4px 14px;"
              class="scroll-y"
            >
              <v-layout 
                v-scroll:#scroll-target="onScroll"
                column
                style="height: 320px"
              >
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy chứng nhận đăng ký doanh nghiệp"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayChungNhanDangKyDoanhNghiep"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayChungNhanDangKyDoanhNghiep">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy chứng nhận đăng ký hoạt động chi nhánh, văn phòng đại diện"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayChungNhanDangKyHoatDong"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayChungNhanDangKyHoatDong">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy phép đầu tư"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayPhepDauTu"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayPhepDauTu">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Quyết định thành lập đơn vị"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.QuyetDinhThanhLapDonVi"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.QuyetDinhThanhLapDonVi">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy xác nhận của cơ quan quản lý của cấp có thẩm quyền về ngành nghề hoạt động"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayXacNhanCuaCoQuanQuanLy"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayXacNhanCuaCoQuanQuanLy">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Giấy xác nhận của chính quyền địa phương tại nơi đề nghị mua điện về ngành nghề hoạt động"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayXacNhanCuaChinhQuyen"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.GiayXacNhanCuaChinhQuyen">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                  hide-details
                    label="Bản xác nhận đã thanh toán hết nợ"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.XacNhanThanhToan"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.XacNhanThanhToan">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
              <div>
                <v-layout row wrap>
                  <v-checkbox
                    hide-details
                    label="Biểu đồ phụ tải"
                    v-model="GiayToDaNhan2.GiayToLienQuanKhachHang.BieuDoPhuTai"
                    style="margin-top: 0px;"
                  ></v-checkbox>
                </v-layout>
                <v-layout row wrap v-if="GiayToDaNhan2.GiayToLienQuanKhachHang.BieuDoPhuTai">
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 1</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary">ảnh 2</v-chip>
                  <v-chip style="height: 17px;" small outline color="primary" @click="pickFile" >+</v-chip>
                  <input
                    type="file"
                    style="display: none"
                    ref="image"
                    accept="image/*"
                    @change="onFilePicked"
                  >
                </v-layout>
                <hr>
              </div>
            </v-layout>
            </v-container>
          </v-card-text>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
  export default {
    data () {
      return {
        a: '',
        b: '',
        c: '',
        imageFile: [],
        radios: 'radio_SinhHoat',
        TenKhachHang: '',
        LoaiKhachHang: '',
        TenNguoiDaiDien: '',
        ChucVu: '',
        CMT: '',
        NgayCap: null,
        NoiCap: '',
        NguoiUyQuyen: '',
        NgayUyQuyen: '',
        SDT: '',
        Email: '',
        SoPha: null,
        CongSuat: null,
        TinhTrang: '',
        MaYeuCau: '',
        NgayYeuCau: null,
        NgayHenLich: null,
        ThueKeoDay: null,
        offsetTop: 0,
        GiayToDaNhan1: {
          GiayToLienQuanDiaDiem: {
            HoKhauThuongTru: false,
            SoTamTruDaiHan: false,
            HopDongUyQuyenQuanLyVaSuDungNha: false,
            QuyetDinhPhanNhaDat: false,
            HopDongMuaBanNhaDat: false,
            HopDongThueNha: false,
            GiayChungNhanQuyenSoHuuDat: false,
            GiayUyQuyenCuaCacHoSuDungDienChung: false,
            XacNhanThanhToan: false,
            CamKetThanhToan: false
          }
        },
        GiayToDaNhan2: {
          GiayToLienQuanDiaDiem: {
            GiayChungNhanQuyenSoHuuNha: false,
            GiayChungNhanQuyenSuDungDat: false,
            HopDongThueNha: false,
            HopDongThueDat: false,
            HopDongUyQuyenQuanLyVaSuDungNha: false,
            GiayXacNhanCuaCoQuanQuanLy: false,
            GiayXacNhanCuaChinhQuyen: false
          },
          GiayToLienQuanKhachHang: {
            GiayChungNhanDangKyDoanhNghiep: false,
            GiayChungNhanDangKyHoatDong: false,
            GiayPhepDauTu: false,
            QuyetDinhThanhLapDonVi: false,
            GiayXacNhanCuaCoQuanQuanLy: false,
            GiayXacNhanCuaChinhQuyen: false,
            XacNhanThanhToan: false,
            BieuDoPhuTai: false
          }
        },
        LoaiKhachHangArr: ['Ông', 'Bà', 'Công Ty'],
        ChucVuArr: ['Chủ hộ', 'Khác'],
        DiaChi: {
          QuanHuyen: [
            {Ten: 'Quận 1', XaPhuong: ['Phường Thanh Xuân Bắc', 'Phường Thanh Xuân Nam']},
            {Ten: 'Quận 2', XaPhuong: ['Phường Thanh Xuân Tây', 'Phường Thanh Xuân Đông']},
            {Ten: 'Quận 3', XaPhuong: ['Phường Thanh Xuân Đông Bắc', 'Phường Thanh Xuân ĐÔng Nam']},
            {Ten: 'Quận 4', XaPhuong: ['Phường Thanh Xuân Tây Bắc', 'Phường Thanh Xuân Tây Nam']},
            {Ten: 'Quận 5', XaPhuong: ['Phường Thanh Xuân Bắc Nam', 'Phường Thanh Xuân Nam Bắc']}
          ]
        },
        dateFormatted1: null,
        dateFormatted2: null,
        dateFormatted3: null,
        dateFormatted4: null,
        menuNgayCap: false,
        menuNgayUyQuyen: false,
        menuNgayHenLich: false,
        menuNgayYeuCau: false,
        rules: {
          ValidateTenMin (value) {
            // value => !!value || 'Required.',
            if (value.length > 0) {
              return true
            }
            return 'Không được bỏ trống'
          },
          ValidateTenMax (value) {
            // value => value.length <= 20 || 'Max 20 characters',
            if (value.length < 50) {
              return true
            }
            return 'Tên quá dài'
          },
          ValidateCongSuat (value) {
            if (!isNaN(value) && value > 0 && value <= 900000000) {
              return true
            }
            return 'Không hợp lệ'
          }
        }
      }
    },
    watch: {
      NgayCap (val) {
        this.dateFormatted1 = this.formatDate(this.NgayCap)
      },
      NgayUyQuyen (val) {
        this.dateFormatted2 = this.formatDate(this.NgayUyQuyen)
      },
      NgayYeuCau (val) {
        this.dateFormatted3 = this.formatDate(this.NgayYeuCau)
      },
      NgayHenLich (val) {
        this.dateFormatted4 = this.formatDate(this.NgayHenLich)
      }
    },
    methods: {
      pickFile () {
        this.$refs.image.click()
      },
      onFilePicked (e) {
        let files = e.target.files
        if (files[0] !== undefined) {
          // let fr = new FileReader()
          this.imageFile.push(files[0])
          console.log(this.imageFile)
          // fr.readAsDataURL(files[0])
          // fr.addEventListener('load', () => {
          //    this.imageFile = files[0]
          //  })
        }
      },
      formatDate (NgayCap) {
        if (!NgayCap) return null
        const [year, month, day] = NgayCap.split('-')
        return `${day}/${month}/${year}`
      },
      parseDate (NgayCap) {
        if (!NgayCap) return null
        const [day, month, year] = NgayCap.split('/')
        return `${year}-${day.padS1tart(2, '0')}-${month.padStart(2, '0')}`
      },
      onScroll (e) {
        this.offsetTop = e.target.scrollTop
      }
    }
  }
</script>
